/*
# The Sample code for driving single URM05 measuring distance function
 
# Editor : Lauren
# Date   : 2012.8.31
# Ver    : 0.1
# Product: URM05 High Power Ultrasonic Range Finder
# SKU    : 
 
# Specification
* Detecting range: 4cm-700cm
* Resolution     : 0.1cm
* Interface      : RS485
* Units          : Range reported in cm 
 
# Description:

# Drive single URM to measure distance
# You could use IO expansion shield V5 from DFRobot to drive the urm sensor directly with your arduino board.
# The sample code is compatible with the Arduino IDE 1.0 and also the earlier version.
 
# Considering the sersors with RS485 interface is really hard to use for a beginner, so if any problems, you could e-mail me.
# We'll try to improve the sample code to make it easier to be understood.

# E- Mail Add: Lauren.pan@dfrobot.com

*/

#include "Urm5parser.h"

void setup(){
  urmInit();      // Init the URM05 sensor
}

void loop(){
  static unsigned long timePoint = 0;

  runUrm5();      // Drive URM05 Sensor and transmit the protocol to the sensor via RS485 interface
  decodeURM5();   // Read the serial commmands and get the distance value after decode the distance value
  if(millis() - timePoint > 200){
    PrintData();  // print the data
    timePoint = millis();
  }

}

void PrintData(){

  Serial.print("Dis: ");
  Serial.print(urmData / 10.0);
  Serial.print(" cm");
  Serial.println();
  
}

